import { IMchc_Doctor_Diagnoses, IMchc_Doctor_FirstVisitDiagnosisOutpatient, IMchc_Doctor_OutpatientHeaderInfo, TIdType, TIdTypeCompatible } from '@lm_fe/service';
import React from 'react';
import './index.less';
import { IInitial_Tab_props } from '../../types';
import { FormInstance } from 'antd/es/form/Form';
interface IProps {
    diagnosis_addon_btns?: (data?: IMchc_Doctor_FirstVisitDiagnosisOutpatient) => React.ReactNode;
    diagnosis_before_submit?: (submit: (values: any) => Promise<void>, data?: IMchc_Doctor_FirstVisitDiagnosisOutpatient, form?: FormInstance, sync?: Boolean) => Promise<void>;
    canSave: boolean;
    noShowBtn: boolean;
    serialNo: string;
    changeScreening(b: boolean): void;
    changeSyphilis(b: boolean): void;
    headerInfo: IMchc_Doctor_OutpatientHeaderInfo;
    diagnosesList: IMchc_Doctor_Diagnoses[];
    changePreventPreeclampsia(b: boolean): void;
    isShowPreventPreeclampsia: boolean;
    handlePrint?(resource: string, id?: TIdType): void;
    setDiagnosesList(l: IMchc_Doctor_Diagnoses[]): void;
    setDiagnosesWord(v: string): void;
    saveHeaderInfo(v: IMchc_Doctor_OutpatientHeaderInfo): void;
    diagnosesWord: string;
    getHighriskDiagnosis(v: TIdTypeCompatible): void;
}
declare function Index(props: IProps & IInitial_Tab_props): React.JSX.Element;
export default Index;
